# coding: utf-8

"""
    Prevision.io

    Prevision.io Studio APIs  # noqa: E501

    OpenAPI spec version: 1.0.5
    Contact: web@prevision.io
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class ConnectorsTestBody(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'type': 'str',
        'username': 'str',
        'password': 'str',
        'port': 'str',
        'host': 'str',
        'google_credentials': 'ConnectorstestGoogleCredentials'
    }

    attribute_map = {
        'type': 'type',
        'username': 'username',
        'password': 'password',
        'port': 'port',
        'host': 'host',
        'google_credentials': 'googleCredentials'
    }

    def __init__(self, type=None, username=None, password=None, port=None, host=None, google_credentials=None):  # noqa: E501
        """ConnectorsTestBody - a model defined in Swagger"""  # noqa: E501
        self._type = None
        self._username = None
        self._password = None
        self._port = None
        self._host = None
        self._google_credentials = None
        self.discriminator = None
        if type is not None:
            self.type = type
        if username is not None:
            self.username = username
        if password is not None:
            self.password = password
        if port is not None:
            self.port = port
        if host is not None:
            self.host = host
        if google_credentials is not None:
            self.google_credentials = google_credentials

    @property
    def type(self):
        """Gets the type of this ConnectorsTestBody.  # noqa: E501

        connector type  # noqa: E501

        :return: The type of this ConnectorsTestBody.  # noqa: E501
        :rtype: str
        """
        return self._type

    @type.setter
    def type(self, type):
        """Sets the type of this ConnectorsTestBody.

        connector type  # noqa: E501

        :param type: The type of this ConnectorsTestBody.  # noqa: E501
        :type: str
        """
        allowed_values = ["SQL", "FTP", "SFTP", "S3", "GCP"]  # noqa: E501
        if type not in allowed_values:
            raise ValueError(
                "Invalid value for `type` ({0}), must be one of {1}"  # noqa: E501
                .format(type, allowed_values)
            )

        self._type = type

    @property
    def username(self):
        """Gets the username of this ConnectorsTestBody.  # noqa: E501

        connector username  # noqa: E501

        :return: The username of this ConnectorsTestBody.  # noqa: E501
        :rtype: str
        """
        return self._username

    @username.setter
    def username(self, username):
        """Sets the username of this ConnectorsTestBody.

        connector username  # noqa: E501

        :param username: The username of this ConnectorsTestBody.  # noqa: E501
        :type: str
        """

        self._username = username

    @property
    def password(self):
        """Gets the password of this ConnectorsTestBody.  # noqa: E501

        connector password  # noqa: E501

        :return: The password of this ConnectorsTestBody.  # noqa: E501
        :rtype: str
        """
        return self._password

    @password.setter
    def password(self, password):
        """Sets the password of this ConnectorsTestBody.

        connector password  # noqa: E501

        :param password: The password of this ConnectorsTestBody.  # noqa: E501
        :type: str
        """

        self._password = password

    @property
    def port(self):
        """Gets the port of this ConnectorsTestBody.  # noqa: E501

        connector port  # noqa: E501

        :return: The port of this ConnectorsTestBody.  # noqa: E501
        :rtype: str
        """
        return self._port

    @port.setter
    def port(self, port):
        """Sets the port of this ConnectorsTestBody.

        connector port  # noqa: E501

        :param port: The port of this ConnectorsTestBody.  # noqa: E501
        :type: str
        """

        self._port = port

    @property
    def host(self):
        """Gets the host of this ConnectorsTestBody.  # noqa: E501

        connector host  # noqa: E501

        :return: The host of this ConnectorsTestBody.  # noqa: E501
        :rtype: str
        """
        return self._host

    @host.setter
    def host(self, host):
        """Sets the host of this ConnectorsTestBody.

        connector host  # noqa: E501

        :param host: The host of this ConnectorsTestBody.  # noqa: E501
        :type: str
        """

        self._host = host

    @property
    def google_credentials(self):
        """Gets the google_credentials of this ConnectorsTestBody.  # noqa: E501


        :return: The google_credentials of this ConnectorsTestBody.  # noqa: E501
        :rtype: ConnectorstestGoogleCredentials
        """
        return self._google_credentials

    @google_credentials.setter
    def google_credentials(self, google_credentials):
        """Sets the google_credentials of this ConnectorsTestBody.


        :param google_credentials: The google_credentials of this ConnectorsTestBody.  # noqa: E501
        :type: ConnectorstestGoogleCredentials
        """

        self._google_credentials = google_credentials

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(ConnectorsTestBody, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, ConnectorsTestBody):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
